#ifndef _KGR_PATCH_BSC1173661_H
#define _KGR_PATCH_BSC1173661_H

#if IS_ENABLED(CONFIG_MWIFIEX)

int kgr_patch_bsc1173661_init(void);
void kgr_patch_bsc1173661_cleanup(void);


struct mwifiex_private;

void kgrp_mwifiex_process_tdls_action_frame(struct mwifiex_private *priv,
				       u8 *buf, int len);

#define KGR_PATCH_BSC1173661_FUNCS				\
	KGR_PATCH_OBJ(mwifiex_process_tdls_action_frame,	\
		      kgrp_mwifiex_process_tdls_action_frame,	\
		      "mwifiex"),				\


#else /* !IS_ENABLED(CONFIG_MWIFIEX) */

static inline int kgr_patch_bsc1173661_init(void) { return 0; }

static inline void kgr_patch_bsc1173661_cleanup(void) {}

#define KGR_PATCH_BSC1173661_FUNCS

#endif /* IS_ENABLED(CONFIG_MWIFIEX) */
#endif /* _KGR_PATCH_BSC1173661_H */
